com.r3corda.node.utilities / java.time.Clock / awaitWithDeadline

# awaitWithDeadline

`fun Clock.awaitWithDeadline(deadline: Instant, future: Future<*> = SettableFuture<Any>()): Boolean`

Wait until the given Future is complete or the deadline is reached, with support for MutableClock implementations used in demos or testing. This will also substitute a Fiber compatible Future if required

Return
true if the Future is complete, false if the deadline was reached